#!/usr/bin/python
# -*- coding: utf-8 -*-

from Screens.Screen import Screen
from Components.Label import Label
from Components.Sources.StaticText import StaticText
from Components.ActionMap import ActionMap
from enigma import getDesktop

sz_w = getDesktop(0).size().width()

class TestPluginScreenSVG(Screen):

	skin = """
	<screen name="TestPluginScreenSVG" position="center,center" backgroundColor="transparent" size="800,500">
		<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="200,40" scale="stretch" alphatest="on" />
		<ePixmap pixmap="skin_default/buttons/green.png" position="200,0" size="200,40" scale="stretch" alphatest="on" />
		<ePixmap pixmap="skin_default/buttons/yellow.png" position="400,0" size="200,40" scale="stretch" alphatest="on" />
		<ePixmap pixmap="skin_default/buttons/blue.png" position="600,0" size="200,40" scale="stretch" alphatest="on" />
		<widget source="key_red" render="Label" position="0,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" foregroundColor="#ffffff" shadowColor="#000000" shadowOffset="-2,-2"  backgroundColor="#9f1313" transparent="1" />
		<widget source="key_green" render="Label" position="200,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" foregroundColor="#ffffff" shadowColor="#000000" shadowOffset="-2,-2" backgroundColor="#1f771f" transparent="1" />
		<widget source="key_yellow" render="Label" position="400,0" zPosition="1" size="200,40" font="Regular;22" foregroundColor="#ffffff" shadowColor="#000000" shadowOffset="-2,-2" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
		<widget source="key_blue" render="Label" position="600,0" zPosition="1" size="200,40" font="Regular;22" foregroundColor="#ffffff" shadowColor="#000000" shadowOffset="-2,-2" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
		<eLabel zPosition="1" backgroundColor="#0F353535" position="0,0" size="30,500" />
		<ePixmap zPosition="1" pixmap="/usr/lib/enigma2/python/Plugins/Extensions/TestPluginSVG/bs_l_transp.svg" position="50,50" size="200,200" />
		<eLabel text="label transp #0F353535" zPosition="1" halign="center" valign="center" backgroundColor="#0F353535" font="Regular;22" position="250,100" size="300,150" />
		<ePixmap zPosition="1" gradient="#0F353535,#0F353535,vertical" position="550,50" size="200,200" />
		
		<ePixmap zPosition="1" pixmap="/usr/lib/enigma2/python/Plugins/Extensions/TestPluginSVG/bs_l_no_transp.svg" position="50,250" size="200,200" />
		<eLabel text="label no transp #00353535" zPosition="1" halign="center" valign="center" backgroundColor="#00353535" font="Regular;22" position="250,250" size="300,150" />
		<ePixmap zPosition="1" gradient="#00353535,#00353535,vertical" position="550,250" size="200,200" />
	</screen>"""
		
	def __init__(self, session):
		Screen.__init__(self, session)
		
		self.setTitle("TEST - svg transparent")
		
		# Initialize widgets
		self["key_red"] = StaticText(_("Cancel"))
		self["key_green"] = StaticText(_(" "))
		self["key_yellow"] = StaticText(" ")
		self["key_blue"] = StaticText(" ")
		
		# Define Actions
		self["actions"] = ActionMap(["SetupActions", "ColorActions"],
			{
				"cancel": 	self.close,
				"green": 	self.pos1,
				"yellow": 	self.pos2,
				"blue":		self.pos3,
			},-2)
		
		self.onLayoutFinish.append(self.layoutFinished)
	
	
	def layoutFinished(self):
		try:
			pass
			
		except:
			import traceback, sys
			traceback.print_exc()
	
	
	def pos1(self):
		
		try:
			pass
			
		except:
			import traceback, sys
			traceback.print_exc()
			
	
	
	def pos2(self):
		try:
			pass
			
		except:
			import traceback
			traceback.print_exc()
	
	
	def pos3(self):
		try:
			pass
		
		except:
			import traceback
			traceback.print_exc()

